semilimes mcu sdk 1.1.3 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FcButtonList Class Reference

## Public Member Functions
| ~FcButtonList ()
void | set (const char *refname, const char *title, bool reqSel, const char *value, bool vertList, const char *linesize)
void | addOptions (const char *name, const char *value, const char *iconName)
void | appendOptions ()
char * | get ()

## Public Attributes
char | lineSize [7][8] = {"1", "2", "3", "4", "5", "6"}

## Constructor & Destructor Documentation

## ◆ ~FcButtonList()

FcButtonList::~FcButtonList | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addOptions()

void FcButtonList::addOptions | ( | const char * | name,
|  | const char * | value,
|  | const char * | iconName )

Parameters

  name | - is the option identifier
  value | - text displayed to the user
  iconName | - within options specifies an object with a name for that icon. You can find the icon names reference at the official Google Fonts page

Returns
  void

## ◆ appendOptions()

void FcButtonList::appendOptions | ( |  | ) |

Returns
  void

## ◆ get()

char * FcButtonList::get | ( |  | ) |

Returns
  char*

## ◆ set()

void FcButtonList::set | ( | const char * | refname,
|  | const char * | title,
|  | bool | reqSel,
|  | const char * | value,
|  | bool | vertList,
|  | const char * | linesize )

Parameters

  refname | - is the reference name of the button list
  title | - is the global label displayed at the beginning of the component
  reqSel | - sets this component interaction as required before submitting the parent form
  value | - will be populated with a button name when a user submits a form with a button selection
  vertList | - is a preference to tell a client app to display the buttons vertically
  lineSize | - defines how the buttons should be spread on multiple lines (row/columns). Allowed values are: char lineSize[7][8] = {"1", "2", "3", "4", "5", "6"};

Returns
  void

## Member Data Documentation

## ◆ lineSize

char FcButtonList::lineSize[7][8] = {"1", "2", "3", "4", "5", "6"}

Parameters

  char | lineSize[7][8] = {"1", "2", "3", "4", "5", "6"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_button_list.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_button_list.cpp